StrictMultiplePredicate Class Reference

## Public Member Functions

| StrictMultiplePredicate (const Exponent *term, size_t varCount)
bool | operator() (const Exponent *term)

## Private Attributes

const Exponent * | _term
size_t | _varCount

## Detailed Description

Definition at line 147 of file Slice.cpp.

## Constructor & Destructor Documentation

## StrictMultiplePredicate()

StrictMultiplePredicate::StrictMultiplePredicate | ( | const Exponent * | term,
|  | size_t | varCount )

inline

Definition at line 149 of file Slice.cpp.

## Member Function Documentation

## operator()()

bool StrictMultiplePredicate::operator() | ( | const Exponent * | term | ) |

inline

Definition at line 153 of file Slice.cpp.

## Member Data Documentation

## _term

const Exponent* StrictMultiplePredicate::_term

private

Definition at line 158 of file Slice.cpp.

## _varCount

size_t StrictMultiplePredicate::_varCount

private

Definition at line 159 of file Slice.cpp.

The documentation for this class was generated from the following file:

- src/Slice.cpp